//gsoap nj service name: ARCJobControl
//gsoap nj service documentation: Interface to job control service and session directory
//gsoap nj service portType: ARCJobControlPortType
//gsoap nj service namespace: http://www.nordugrid.org/ws/schemas/ARCJobControl
//gsoap nj service method-documentation: submit Request execution of new job

/* Job Control Service */
class nj__attribute {
  char* name;
  char* value;
};

class nj__jobdefinition {
 public:
  char* description;
};

class nj__jobinfo {
 public:
  int* failure_code;
  char* failure_reason;
  char* state;
  char* id;
  char* url;
  nj__jobdefinition* def;
  int __size_attributes;
  nj__attribute* attributes;
};

class __jobsinfo {
  int __size_job;
  nj__jobinfo* job;
};

// Create new job.
int nj__createJobs(
  int __size_jobdef,
  nj__jobdefinition* jobdef,
  __jobsinfo& r
);

int nj__createJob(
  nj__jobdefinition* jobdef,
  nj__jobinfo& r
);

// Methods for particular job
int nj__queryJob(
  nj__jobinfo& r
);

int nj__cancelJob(
  nj__jobinfo& r
);

int nj__cleanJob(
  nj__jobinfo& r
);

int nj_modifyJob(
  nj__jobinfo* job,
  nj__jobinfo& r
);

